package es.uv.saic.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uv.saic.domain.EvidenciaIndicadorEnquesta;
import es.uv.saic.domain.EvidenciaIndicadorEnquestaRepository;

@Service
public class EvidenciaIndicadorEnquestaService {

	@Autowired
	private EvidenciaIndicadorEnquestaRepository eies;
	
	public List<EvidenciaIndicadorEnquesta> getIndicadors(String proces, String evidencia, String enquesta){
		return this.eies.getIndicadors(proces, evidencia, enquesta);
	}
	
	public List<EvidenciaIndicadorEnquesta> getByProcesEvidencia(String proces, String evidencia){
		return this.eies.getByProcesEvidencia(proces, evidencia);
	}
	
	public List<EvidenciaIndicadorEnquesta> getAll(){
		return this.eies.findAll();
	}
	
	public void removeByProcesEvidencia(String proces, String evidencia) {
		this.eies.removeByProcesEvidencia(proces, evidencia);
	}
	
	public void save(EvidenciaIndicadorEnquesta a) {
		this.eies.save(a);
		this.eies.flush();
	}
}
